Skip to content
Tx Platform
Get Suggestions

Suggest Skills🔗︎

HTTP Verb Path
POST /v10/job-description/suggest-skills

Takes a job title and suggests relevant skills.

Info

Request Body🔗︎

JobTitle 🔗︎ string required

Job Title🔗︎

The title of the job for which skills are being suggested. There is a 100 character limit.

Language 🔗︎ string

Language🔗︎

Language of the suggested skills in ISO 639-1 code format.

Limit 🔗︎ integer

Limit🔗︎

Maximum number of skills to suggest. If not specified this parameter defaults to 10. This value cannot exceed 20.

Sample JSON

json { "JobTitle": "Data Scientist", "Language": "en", "Limit": 5 }

Response Body🔗︎

Info 🔗︎ object

Info🔗︎

Information explaining the outcome of the transaction.


Info properties

Code 🔗︎ string

Code🔗︎

Code Description
Success Successful transaction
MissingParameter A required parameter wasn't provided
InvalidParameter A parameter was incorrectly specified
AuthenticationError An error occurred with the credentials provided
Message 🔗︎ string

Message🔗︎

This message further describes the code providing additional detail.

TransactionId 🔗︎ string

TransactionId🔗︎

The (GUID) id for a specific API transaction. Use this when contacting service@textkernel.com about issues.

EngineVersion 🔗︎ string

EngineVersion🔗︎

The version of the parsing/matching engine running under-the-hood.

ApiVersion 🔗︎ string

ApiVersion🔗︎

The version of the API.

TotalElapsedMilliseconds 🔗︎ integer

TotalElapsedMilliseconds🔗︎

How long the transaction took on Textkernel's server, in milliseconds. If the transaction takes longer to complete on the client side, that extra duration is solely network latency.

TransactionCost 🔗︎ decimal

TransactionCost🔗︎

How many credits the transaction costs.How many credits the transaction costs.

CustomerDetails 🔗︎ object

CustomerDetails🔗︎

Information about the customer who made the API call.


CustomerDetails properties

AccountId 🔗︎ string

AccountId🔗︎

The AccountId for the account.

Name 🔗︎ string

Name🔗︎

The customer name on the account.

IPAddress 🔗︎ string

IPAddress🔗︎

The client IP Address where the API call originated.

Region 🔗︎ string

Region🔗︎

The region for the account, also known as the 'Data Center'.

CreditsRemaining 🔗︎ decimal

CreditsRemaining🔗︎

The number of credits remaining to be used by the account.

CreditsUsed 🔗︎ decimal

CreditsUsed🔗︎

The number of credits used by the account.

MaximumConcurrentRequests 🔗︎ integer

MaximumConcurrentRequests🔗︎

The number of requests that can be made at one time. If using sub-accounts, this is the maximum number of concurent requests across all accounts, not just this single sub-account.

ExpirationDate 🔗︎ date

ExpirationDate🔗︎

The date that the current credits expire.

Value 🔗︎ object

Value🔗︎

Contains response data for the transaction.


Value properties

SuggestedSkills 🔗︎ string[]

SuggestedSkills🔗︎

List of skills suggested for the job title.

Sample JSON

json { "Info": { "Code": "string", "Message": "string", "TransactionId": "string", "EngineVersion": "string", "ApiVersion": "string", "TotalElapsedMilliseconds": 0, "TransactionCost": 0, "CustomerDetails": { "AccountId": "string", "Name": "string", "IPAddress": "string", "Region": "string", "CreditsRemaining": 0, "CreditsUsed": 0, "ExpirationDate": "2021-12-31", "MaximumConcurrentRequests": 0 } }, "Value": { "SuggestedSkills": ["Machine Learning", "Python", "Data Analysis", "R", "SQL"] } }

Rate limits🔗︎

Accounts have a limited request rate. Exceeding the limit results in 429 Too Many Requests HTTP responses.

Plan Limit Units
Standard 100 Minute
Demo 30 Minute